Labirinto labirinto;
Personagem personagem;
Controles controles;

void setup() {
  size(630, 630);
  controles = new Controles();
  labirinto = new Labirinto(31,31);
  personagem = new Personagem(0,0,labirinto.subModulo);
  frameRate(20);
}

void pontePersongem() {
  if (personagem.y-1 >= 0) {
    if (controles.up && labirinto.maze[personagem.x][personagem.y-1] > 0) { personagem.y -= 1; }
  }
  if (personagem.y+1 < labirinto.h) {
    if (controles.down && labirinto.maze[personagem.x][personagem.y+1] > 0) { personagem.y += 1; }
  }
  if (personagem.x-1 >= 0) {
    if (controles.left && labirinto.maze[personagem.x-1][personagem.y] > 0) { personagem.x -= 1; }
  }
  if (personagem.x+1 < labirinto.w) {
    if (controles.right && labirinto.maze[personagem.x+1][personagem.y] > 0) { personagem.x += 1; }
  }
}

void draw() {
  controles.checarControles();
  pontePersongem();
  labirinto.desenhar();
  personagem.meDesenhe();
  controles.meDesenhe();
  controles.zerarControles();
}

void mouseClicked() {
 print("Novo Labirinto\n");
 labirinto.gerar(); 
 labirinto.desenhar();
}